[arch-commits] Commit in gnome-utils/trunk (PKGBUILD bgo497489.patch)

Jan de Groot jgc at archlinux.org
Sat Oct 11 13:31:35 EDT 2008


    Date: Saturday, October 11, 2008 @ 13:31:34
  Author: jgc
Revision: 14919

upgpkg: gnome-utils 2.24.0-1

Modified:
  gnome-utils/trunk/PKGBUILD
Deleted:
  gnome-utils/trunk/bgo497489.patch

-----------------+
 PKGBUILD        |   24 +++++++++++-------------
 bgo497489.patch |   54 ------------------------------------------------------
 2 files changed, 11 insertions(+), 67 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 17:31:33 UTC (rev 14918)
+++ PKGBUILD	2008-10-11 17:31:34 UTC (rev 14919)
@@ -2,32 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-utils
-pkgver=2.20.0.1
-pkgrel=3
+pkgver=2.24.0
+pkgrel=1
 pkgdesc="Common utilities for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgtop>=2.22.0' 'libgnomeprintui>=2.18.2' 'gnome-panel>=2.22.0')
-makedepends=('perlxml' 'gnome-doc-utils>=0.12.2' 'pkgconfig')
+depends=('libgtop>=2.24.0' 'gnome-panel>=2.24.0')
+makedepends=('perlxml' 'gnome-doc-utils>=0.14.0' 'pkgconfig')
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
 groups=('gnome-extra')
 install=gnome-utils.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.20/${pkgname}-${pkgver}.tar.bz2
-	bgo497489.patch)
-md5sums=('2d4385df2fb566b437b283bd2ce70190' '22922b4c54438b8808d5b942459da1db')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('61b145af70c5a61d27037119a31429e5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/bgo497489.patch || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --libexecdir=/usr/lib/gnome-utils \
               --localstatedir=/var --disable-static \
               --enable-hal --disable-scrollkeeper || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Deleted: bgo497489.patch
===================================================================
--- bgo497489.patch	2008-10-11 17:31:33 UTC (rev 14918)
+++ bgo497489.patch	2008-10-11 17:31:34 UTC (rev 14919)
@@ -1,54 +0,0 @@
-diff -up gnome-utils-2.20.0.1/logview/log_repaint.c.versions gnome-utils-2.20.0.1/logview/log_repaint.c
---- gnome-utils-2.20.0.1/logview/log_repaint.c.versions	2007-11-16 13:29:00.000000000 -0500
-+++ gnome-utils-2.20.0.1/logview/log_repaint.c	2007-11-16 13:29:43.000000000 -0500
-@@ -226,6 +226,8 @@ logview_update_version_bar (LogviewWindo
- 		else
- 			recent = log;
- 			
-+		g_signal_handler_block (logview->version_selector, logview->version_changed_id);
-+
- 		for (i=5; i>-1; i--)
- 			gtk_combo_box_remove_text (GTK_COMBO_BOX (logview->version_selector), i);
- 
-@@ -241,6 +243,8 @@ logview_update_version_bar (LogviewWindo
- 		gtk_combo_box_set_active (GTK_COMBO_BOX (logview->version_selector), 
-                                           log->current_version);
- 
-+		g_signal_handler_unblock (logview->version_selector, logview->version_changed_id);
-+
- 	} else {
- 		gtk_widget_hide (logview->version_bar);
- 	}
-diff -up gnome-utils-2.20.0.1/logview/logview.h.versions gnome-utils-2.20.0.1/logview/logview.h
---- gnome-utils-2.20.0.1/logview/logview.h.versions	2007-11-16 13:27:55.000000000 -0500
-+++ gnome-utils-2.20.0.1/logview/logview.h	2007-11-16 13:28:05.000000000 -0500
-@@ -55,6 +55,7 @@ struct _LogviewWindow {
- 	Log *curlog;
- 
- 	int original_fontsize, fontsize;
-+	gulong version_changed_id;
- };
- 
- struct _LogviewWindowClass {
-diff -up gnome-utils-2.20.0.1/logview/logview.c.versions gnome-utils-2.20.0.1/logview/logview.c
---- gnome-utils-2.20.0.1/logview/logview.c.versions	2007-11-16 13:28:13.000000000 -0500
-+++ gnome-utils-2.20.0.1/logview/logview.c	2007-11-16 13:28:52.000000000 -0500
-@@ -432,6 +432,9 @@ logview_version_selector_changed (GtkCom
- 
-     g_assert (LOGVIEW_IS_WINDOW (logview));
- 
-+	if (!log)
-+		return;
-+
- 	selected = gtk_combo_box_get_active (version_selector);
- 
- 	if (selected == log->current_version)
-@@ -903,7 +906,7 @@ logview_init (LogviewWindow *logview)
-    logview->version_bar = gtk_hbox_new (FALSE, 0);
-    gtk_container_set_border_width (GTK_CONTAINER (logview->version_bar), 3);
-    logview->version_selector = gtk_combo_box_new_text ();
--   g_signal_connect (G_OBJECT (logview->version_selector), "changed",
-+   logview->version_changed_id = g_signal_connect (G_OBJECT (logview->version_selector), "changed",
-                      G_CALLBACK (logview_version_selector_changed), logview);
-    label = gtk_label_new (_("Version: "));
-    




More information about the arch-commits mailing list